# nnlo-law-analysis

## Project setup
Precondition: An installation of NNLOJET with APPLfast bridge and fastNLO must
be available either locally or via cvmfs!

Clone respository with submodules:
```
git clone --recursive https://gitlab.etp.kit.edu/qcd-public/law-analysis.git --branch master
```
or
```
git clone --recursive git@gitlab.etp.kit.edu:qcd-public/law-analysis.git --branch master
```
The "--branch master" is necessary to avoid warnings like:
"warning: remote HEAD refers to nonexistent ref, unable to checkout.",
after which effectively nothing is properly cloned and needs to be re-cloned
into a new directory.

Copy example config from setup/configs to ./luigi.cfg
Copy example NNLOJET runcard [name].run from setup/runcards to .
Create subdirectory 'steeringfiles'
Copy example fastNLO steerings from setup/steerings to steeringfiles
Adapt setup to your needs!
Particularly, open luigi.cfg and edit wlcg_path, gsi_path and htcondor_user_proxy

Set environment variables (only bash available). It is advisable to use 'screen'
sessions, in particular when working from remote.
For Centos7 portal machine with HTCondor:
```
source setup_law_c7.sh
```
With Centos7 it is not possible to do the plotting part (gnuplot, matplotlib)
of this workflow because of too old software versions. For plotting use
newer linux systems and do
```
source setup_law_plotting.sh
```
Initialize law for cli auto completion:
```
law index [--verbose]
```

## Interpolation grid creation
The initial workflow setup is explained in Master thesis of
Miguel Santos Correa: https://publish.etp.kit.edu/record/21514

TODO: Better documentation for the reworked setup.
Best option for now: Go through luigi.cfg and follow the separate steps
with some explanation.
